ata_pack_xfermask
Prev | Chapter 4. libata Library | Next

## Name

ata_pack_xfermask — Pack pio, mwdma and udma masks into xfer_mask

## Synopsis

`unsigned long ata_pack_xfermask (` | unsigned long | pio_mask,
| unsigned long | mwdma_mask,
| unsigned long | udma_mask`)`;

## Arguments

`pio_mask`

  pio_mask

`mwdma_mask`

  mwdma_mask

`udma_mask`

  udma_mask

## Description

Pack `pio_mask`, `mwdma_mask` and `udma_mask` into a single unsigned int xfer_mask.

## LOCKING

None.

## RETURNS

Packed xfer_mask.

Prev | Up | Next
ata_tf_from_fis | Home | ata_unpack_xfermask